> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Conversions

> Retrieve a paginated list of all conversions for a subaccount.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ramp/{subaccountId}/banking/conversions
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/conversions:
    get:
      tags:
        - Conversions
      summary: Get All Conversions
      description: Retrieve a paginated list of all conversions for a subaccount.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
            format: uuid
          required: true
          description: The unique identifier of the subaccount
        - name: page
          in: query
          schema:
            type: integer
            default: 1
          description: Page number
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
          description: Items per page
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedConversionsResponse'
              example:
                data:
                  - id: 261cfa71-01ba-43b5-b1e7-9f48a0e86e83
                    fromCurrency: usd
                    toCurrency: ngn
                    amount: '17.000000000000'
                    feeAmount: '0.000000000000'
                    netAmount: '17.000000000000'
                    estimatedReceived: '10179.600000000000'
                    rate: '598.800000000000'
                    createdAt: '2025-12-16T18:50:44.576Z'
                  - id: 445952df-9346-4d45-9478-3cd24fa25531
                    fromCurrency: usd
                    toCurrency: ngn
                    amount: '17.000000000000'
                    feeAmount: '0.000000000000'
                    netAmount: '17.000000000000'
                    estimatedReceived: '10179.600000000000'
                    rate: '598.800000000000'
                    createdAt: '2025-12-16T18:04:55.385Z'
                  - id: d257fc14-5d63-49a4-bcf8-20a2753e6451
                    fromCurrency: usd
                    toCurrency: ngn
                    amount: '17.000000000000'
                    feeAmount: '0.000000000000'
                    netAmount: '17.000000000000'
                    estimatedReceived: '10179.600000000000'
                    rate: '598.800000000000'
                    createdAt: '2025-12-16T17:42:32.416Z'
                total: 3
                page: 1
                limit: 20
                totalPages: 1
components:
  schemas:
    PaginatedConversionsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ConversionDetailsResponse'
        total:
          type: integer
          example: 3
        page:
          type: integer
          example: 1
        limit:
          type: integer
          example: 20
        totalPages:
          type: integer
          example: 1
    ConversionDetailsResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: d257fc14-5d63-49a4-bcf8-20a2753e6451
        fromCurrency:
          type: string
          example: usd
        toCurrency:
          type: string
          example: ngn
        amount:
          type: string
          example: '17.000000000000'
        feeAmount:
          type: string
          example: '0.000000000000'
        netAmount:
          type: string
          example: '17.000000000000'
        estimatedReceived:
          type: string
          example: '10179.600000000000'
        rate:
          type: string
          example: '598.800000000000'
        createdAt:
          type: string
          format: date-time
          example: '2025-12-16T17:42:32.416Z'
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````